Subject: bug#889: 23.0.60; "Recover Crashed Session" fails "No files can be recovered"

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Wed, 06 Jul 2011 20:05:18 +0200

Yary Hluchan <[email-masked]> writes:

> I'm running Emacs 23 on a laptop, and the laptop sometimes loses power.
> That's not the problem.
>
> When I boot and restart Emacs, I go to the File menu > "Recover Crashed
> Session", it brings up a window like so:
>
>  Move to the session you want to recover,
>  then type C-c C-c to select it.
>
>  You can also delete some of these files;
>  type d on a line to mark that file for deletion.
>
>   c:/Documents and Settings/Stephen Edwards/Application Data/.emacs.d/auto-save-list:
>   wildcard .saves-*
>   total used in directory 5 available 21636216
>   -rw-rw-rw-  1 Yary None  778 09-02 16:13 .saves-360-POPNOTE~
>   -rw-rw-rw-  1 Yary None  382 08-15 09:21 .saves-1648-POPNOTE~
>   -rw-rw-rw-  1 Yary None  138 08-10 15:06 .saves-2560-POPNOTE~
> ...
>
> I put the cursor on the first line (".saves-360-POPNOTE~") and hit
> C-c C-C, and get this error in *Messages*:
>
> No files can be recovered from this session now

I'm unable to reproduce this bug in Emacs 24.  If I have a ~/.saves-*
file, where some of the files are deleted, and some are not, `M-x
recover-session' correctly recovers the non-deleted files.

So either this bug has been fixed by now, or there's something in your
setup I'm now able to reproduce.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/